// 当前后端不在同一个服务器时，需要指定host地址
// let host = "http://192.168.30.110";[]
let host = "http://183.230.176.125"; // 外网
// let host = "http://192.168.30.110"; // 内网
// combine为true时五合一部署, 为false时分五个服务部署
// 前端部署访问地址，用于静态文件访问，路径跳转等
let onlineFront = "http://183.230.176.125"

let combine = true;
var defaultModulePortMap = {
	form: '8082',
	portal: '8084',
	bpmRunTime: '8086',
	bpmModel: '8087',
	uc: '8088',
  cqbbsl: '8098'
}
window.getModuleRootUrl = function (module) {
	// 默认是全部服务合一的端口
  // var modulePort = '8098'  
  var modulePort = '18068' 
  // 内网8098 //外网 18088
	if (!combine) {
		modulePort = defaultModulePortMap[module];
	}
	return host+ ":" + modulePort ;//s
}
window.context = {
  task: host + ":18078",
  WebSocket: host + ":8099",
  manage: host + ':18080/mvue', //管理端页面
  front: host + ':19088/fvue', //前端页面
  mobile: host + ':8082/mobilevue', //手机端页面
  totalPlat: onlineFront + ':8888', //前端页面
  form: getModuleRootUrl('form'),
  portal: getModuleRootUrl('portal'),
  bpmRunTime: getModuleRootUrl('bpmRunTime'),
  bpmModel: getModuleRootUrl('bpmModel'),
  uc: getModuleRootUrl('uc'),
  mc: getModuleRootUrl('mc'),
  cqbbsl: getModuleRootUrl('cqbbsl'),
  videoAppkey: "27900477",
  videoIp: '183.230.114.212',
  videoPort: 10220,
  videoSecret: 'OTeHSUxGKwFMSKEPdrll',
}
// 单点配置
window.ssoConfig = {
  mode: "", // 空则不使用单点  支持的模式有  cas oauth basic
  url: 'http://127.0.0.1:8092/oauth/authorize',
  clientId: 'eip7',// oauth模式下需要提供
  logout: 'http://127.0.0.1:8092/logout'
}